Subject: Re: [bug#31999] [PATCH 2/7] gnu: Add ndctl.

From: Marius Bakke <[email-masked]>
Date: Mon, 30 Jul 2018 14:54:59 +0200

Pierre Neidhardt <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>>> +       ("bash-completion" ,bash-completion)
>>
>> That's an unusual input.  Can you add a comment about why it's needed?
>
> I took that from the Arch package
> (https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/ndctl)
> but it's obviously not required.
> That said, should I add bash-completion as an input or leave it out?  I
> tend to see this as "optional", so I'd rather leave it out.  Not sure
> what the Guix policy is in this regard.

It depends on what it's used for.  If it's needed to install bash
completions or something, let's keep it.  If it does not make any
difference... well that's one less dependency to worry about!